// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/socialspecters.io/specters/pkg/api/pb (interfaces: APIClient,API_GetTokenClient,APIServer,API_GetTokenServer)

// Package mock_pb is a generated GoMock package.
package mock_pb

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	pb "gitlab.com/socialspecters.io/specters/pkg/api/pb"
	grpc "google.golang.org/grpc"
	metadata "google.golang.org/grpc/metadata"
)

// MockAPIClient is a mock of APIClient interface.
type MockAPIClient struct {
	ctrl     *gomock.Controller
	recorder *MockAPIClientMockRecorder
}

// MockAPIClientMockRecorder is the mock recorder for MockAPIClient.
type MockAPIClientMockRecorder struct {
	mock *MockAPIClient
}

// NewMockAPIClient creates a new mock instance.
func NewMockAPIClient(ctrl *gomock.Controller) *MockAPIClient {
	mock := &MockAPIClient{ctrl: ctrl}
	mock.recorder = &MockAPIClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockAPIClient) EXPECT() *MockAPIClientMockRecorder {
	return m.recorder
}

// GetToken mocks base method.
func (m *MockAPIClient) GetToken(arg0 context.Context, arg1 ...grpc.CallOption) (pb.API_GetTokenClient, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0}
	for _, a := range arg1 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetToken", varargs...)
	ret0, _ := ret[0].(pb.API_GetTokenClient)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetToken indicates an expected call of GetToken.
func (mr *MockAPIClientMockRecorder) GetToken(arg0 interface{}, arg1 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0}, arg1...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetToken", reflect.TypeOf((*MockAPIClient)(nil).GetToken), varargs...)
}

// Init mocks base method.
func (m *MockAPIClient) Init(arg0 context.Context, arg1 *pb.InitRequest, arg2 ...grpc.CallOption) (*pb.InitReply, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Init", varargs...)
	ret0, _ := ret[0].(*pb.InitReply)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Init indicates an expected call of Init.
func (mr *MockAPIClientMockRecorder) Init(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Init", reflect.TypeOf((*MockAPIClient)(nil).Init), varargs...)
}

// Status mocks base method.
func (m *MockAPIClient) Status(arg0 context.Context, arg1 *pb.StatusRequest, arg2 ...grpc.CallOption) (*pb.StatusReply, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Status", varargs...)
	ret0, _ := ret[0].(*pb.StatusReply)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Status indicates an expected call of Status.
func (mr *MockAPIClientMockRecorder) Status(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Status", reflect.TypeOf((*MockAPIClient)(nil).Status), varargs...)
}

// Unseal mocks base method.
func (m *MockAPIClient) Unseal(arg0 context.Context, arg1 *pb.UnsealRequest, arg2 ...grpc.CallOption) (*pb.UnsealReply, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{arg0, arg1}
	for _, a := range arg2 {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Unseal", varargs...)
	ret0, _ := ret[0].(*pb.UnsealReply)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Unseal indicates an expected call of Unseal.
func (mr *MockAPIClientMockRecorder) Unseal(arg0, arg1 interface{}, arg2 ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{arg0, arg1}, arg2...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Unseal", reflect.TypeOf((*MockAPIClient)(nil).Unseal), varargs...)
}

// MockAPI_GetTokenClient is a mock of API_GetTokenClient interface.
type MockAPI_GetTokenClient struct {
	ctrl     *gomock.Controller
	recorder *MockAPI_GetTokenClientMockRecorder
}

// MockAPI_GetTokenClientMockRecorder is the mock recorder for MockAPI_GetTokenClient.
type MockAPI_GetTokenClientMockRecorder struct {
	mock *MockAPI_GetTokenClient
}

// NewMockAPI_GetTokenClient creates a new mock instance.
func NewMockAPI_GetTokenClient(ctrl *gomock.Controller) *MockAPI_GetTokenClient {
	mock := &MockAPI_GetTokenClient{ctrl: ctrl}
	mock.recorder = &MockAPI_GetTokenClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockAPI_GetTokenClient) EXPECT() *MockAPI_GetTokenClientMockRecorder {
	return m.recorder
}

// CloseSend mocks base method.
func (m *MockAPI_GetTokenClient) CloseSend() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CloseSend")
	ret0, _ := ret[0].(error)
	return ret0
}

// CloseSend indicates an expected call of CloseSend.
func (mr *MockAPI_GetTokenClientMockRecorder) CloseSend() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CloseSend", reflect.TypeOf((*MockAPI_GetTokenClient)(nil).CloseSend))
}

// Context mocks base method.
func (m *MockAPI_GetTokenClient) Context() context.Context {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Context")
	ret0, _ := ret[0].(context.Context)
	return ret0
}

// Context indicates an expected call of Context.
func (mr *MockAPI_GetTokenClientMockRecorder) Context() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Context", reflect.TypeOf((*MockAPI_GetTokenClient)(nil).Context))
}

// Header mocks base method.
func (m *MockAPI_GetTokenClient) Header() (metadata.MD, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Header")
	ret0, _ := ret[0].(metadata.MD)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Header indicates an expected call of Header.
func (mr *MockAPI_GetTokenClientMockRecorder) Header() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Header", reflect.TypeOf((*MockAPI_GetTokenClient)(nil).Header))
}

// Recv mocks base method.
func (m *MockAPI_GetTokenClient) Recv() (*pb.GetTokenReply, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Recv")
	ret0, _ := ret[0].(*pb.GetTokenReply)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Recv indicates an expected call of Recv.
func (mr *MockAPI_GetTokenClientMockRecorder) Recv() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Recv", reflect.TypeOf((*MockAPI_GetTokenClient)(nil).Recv))
}

// RecvMsg mocks base method.
func (m *MockAPI_GetTokenClient) RecvMsg(arg0 interface{}) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RecvMsg", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// RecvMsg indicates an expected call of RecvMsg.
func (mr *MockAPI_GetTokenClientMockRecorder) RecvMsg(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RecvMsg", reflect.TypeOf((*MockAPI_GetTokenClient)(nil).RecvMsg), arg0)
}

// Send mocks base method.
func (m *MockAPI_GetTokenClient) Send(arg0 *pb.GetTokenRequest) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Send", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// Send indicates an expected call of Send.
func (mr *MockAPI_GetTokenClientMockRecorder) Send(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Send", reflect.TypeOf((*MockAPI_GetTokenClient)(nil).Send), arg0)
}

// SendMsg mocks base method.
func (m *MockAPI_GetTokenClient) SendMsg(arg0 interface{}) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SendMsg", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// SendMsg indicates an expected call of SendMsg.
func (mr *MockAPI_GetTokenClientMockRecorder) SendMsg(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SendMsg", reflect.TypeOf((*MockAPI_GetTokenClient)(nil).SendMsg), arg0)
}

// Trailer mocks base method.
func (m *MockAPI_GetTokenClient) Trailer() metadata.MD {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Trailer")
	ret0, _ := ret[0].(metadata.MD)
	return ret0
}

// Trailer indicates an expected call of Trailer.
func (mr *MockAPI_GetTokenClientMockRecorder) Trailer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Trailer", reflect.TypeOf((*MockAPI_GetTokenClient)(nil).Trailer))
}

// MockAPIServer is a mock of APIServer interface.
type MockAPIServer struct {
	ctrl     *gomock.Controller
	recorder *MockAPIServerMockRecorder
}

// MockAPIServerMockRecorder is the mock recorder for MockAPIServer.
type MockAPIServerMockRecorder struct {
	mock *MockAPIServer
}

// NewMockAPIServer creates a new mock instance.
func NewMockAPIServer(ctrl *gomock.Controller) *MockAPIServer {
	mock := &MockAPIServer{ctrl: ctrl}
	mock.recorder = &MockAPIServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockAPIServer) EXPECT() *MockAPIServerMockRecorder {
	return m.recorder
}

// GetToken mocks base method.
func (m *MockAPIServer) GetToken(arg0 pb.API_GetTokenServer) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetToken", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// GetToken indicates an expected call of GetToken.
func (mr *MockAPIServerMockRecorder) GetToken(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetToken", reflect.TypeOf((*MockAPIServer)(nil).GetToken), arg0)
}

// Init mocks base method.
func (m *MockAPIServer) Init(arg0 context.Context, arg1 *pb.InitRequest) (*pb.InitReply, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Init", arg0, arg1)
	ret0, _ := ret[0].(*pb.InitReply)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Init indicates an expected call of Init.
func (mr *MockAPIServerMockRecorder) Init(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Init", reflect.TypeOf((*MockAPIServer)(nil).Init), arg0, arg1)
}

// Status mocks base method.
func (m *MockAPIServer) Status(arg0 context.Context, arg1 *pb.StatusRequest) (*pb.StatusReply, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Status", arg0, arg1)
	ret0, _ := ret[0].(*pb.StatusReply)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Status indicates an expected call of Status.
func (mr *MockAPIServerMockRecorder) Status(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Status", reflect.TypeOf((*MockAPIServer)(nil).Status), arg0, arg1)
}

// Unseal mocks base method.
func (m *MockAPIServer) Unseal(arg0 context.Context, arg1 *pb.UnsealRequest) (*pb.UnsealReply, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Unseal", arg0, arg1)
	ret0, _ := ret[0].(*pb.UnsealReply)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Unseal indicates an expected call of Unseal.
func (mr *MockAPIServerMockRecorder) Unseal(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Unseal", reflect.TypeOf((*MockAPIServer)(nil).Unseal), arg0, arg1)
}

// mustEmbedUnimplementedAPIServer mocks base method.
func (m *MockAPIServer) mustEmbedUnimplementedAPIServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedAPIServer")
}

// mustEmbedUnimplementedAPIServer indicates an expected call of mustEmbedUnimplementedAPIServer.
func (mr *MockAPIServerMockRecorder) mustEmbedUnimplementedAPIServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedAPIServer", reflect.TypeOf((*MockAPIServer)(nil).mustEmbedUnimplementedAPIServer))
}

// MockAPI_GetTokenServer is a mock of API_GetTokenServer interface.
type MockAPI_GetTokenServer struct {
	ctrl     *gomock.Controller
	recorder *MockAPI_GetTokenServerMockRecorder
}

// MockAPI_GetTokenServerMockRecorder is the mock recorder for MockAPI_GetTokenServer.
type MockAPI_GetTokenServerMockRecorder struct {
	mock *MockAPI_GetTokenServer
}

// NewMockAPI_GetTokenServer creates a new mock instance.
func NewMockAPI_GetTokenServer(ctrl *gomock.Controller) *MockAPI_GetTokenServer {
	mock := &MockAPI_GetTokenServer{ctrl: ctrl}
	mock.recorder = &MockAPI_GetTokenServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockAPI_GetTokenServer) EXPECT() *MockAPI_GetTokenServerMockRecorder {
	return m.recorder
}

// Context mocks base method.
func (m *MockAPI_GetTokenServer) Context() context.Context {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Context")
	ret0, _ := ret[0].(context.Context)
	return ret0
}

// Context indicates an expected call of Context.
func (mr *MockAPI_GetTokenServerMockRecorder) Context() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Context", reflect.TypeOf((*MockAPI_GetTokenServer)(nil).Context))
}

// Recv mocks base method.
func (m *MockAPI_GetTokenServer) Recv() (*pb.GetTokenRequest, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Recv")
	ret0, _ := ret[0].(*pb.GetTokenRequest)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Recv indicates an expected call of Recv.
func (mr *MockAPI_GetTokenServerMockRecorder) Recv() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Recv", reflect.TypeOf((*MockAPI_GetTokenServer)(nil).Recv))
}

// RecvMsg mocks base method.
func (m *MockAPI_GetTokenServer) RecvMsg(arg0 interface{}) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RecvMsg", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// RecvMsg indicates an expected call of RecvMsg.
func (mr *MockAPI_GetTokenServerMockRecorder) RecvMsg(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RecvMsg", reflect.TypeOf((*MockAPI_GetTokenServer)(nil).RecvMsg), arg0)
}

// Send mocks base method.
func (m *MockAPI_GetTokenServer) Send(arg0 *pb.GetTokenReply) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Send", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// Send indicates an expected call of Send.
func (mr *MockAPI_GetTokenServerMockRecorder) Send(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Send", reflect.TypeOf((*MockAPI_GetTokenServer)(nil).Send), arg0)
}

// SendHeader mocks base method.
func (m *MockAPI_GetTokenServer) SendHeader(arg0 metadata.MD) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SendHeader", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// SendHeader indicates an expected call of SendHeader.
func (mr *MockAPI_GetTokenServerMockRecorder) SendHeader(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SendHeader", reflect.TypeOf((*MockAPI_GetTokenServer)(nil).SendHeader), arg0)
}

// SendMsg mocks base method.
func (m *MockAPI_GetTokenServer) SendMsg(arg0 interface{}) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SendMsg", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// SendMsg indicates an expected call of SendMsg.
func (mr *MockAPI_GetTokenServerMockRecorder) SendMsg(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SendMsg", reflect.TypeOf((*MockAPI_GetTokenServer)(nil).SendMsg), arg0)
}

// SetHeader mocks base method.
func (m *MockAPI_GetTokenServer) SetHeader(arg0 metadata.MD) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SetHeader", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// SetHeader indicates an expected call of SetHeader.
func (mr *MockAPI_GetTokenServerMockRecorder) SetHeader(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetHeader", reflect.TypeOf((*MockAPI_GetTokenServer)(nil).SetHeader), arg0)
}

// SetTrailer mocks base method.
func (m *MockAPI_GetTokenServer) SetTrailer(arg0 metadata.MD) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "SetTrailer", arg0)
}

// SetTrailer indicates an expected call of SetTrailer.
func (mr *MockAPI_GetTokenServerMockRecorder) SetTrailer(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetTrailer", reflect.TypeOf((*MockAPI_GetTokenServer)(nil).SetTrailer), arg0)
}
